# Class pyglet.graphics.allocation.AllocatorMemoryException

    exceptions.BaseException --+
                               |
            exceptions.Exception --+
                                   |
                                  AllocatorMemoryException

The buffer is not large enough to fulfil an allocation.

Raised by Allocator methods when the operation failed due to lack of buffer space. The buffer should be increased to at least requested_capacity and then the operation retried (guaranteed to pass second time).

## Methods

| __init__(self, requested_capacity) x.__init__(...) initializes x; see x.__class__.__doc__ for signature
Inherited from `exceptions.Exception`: `__new__` Inherited from `exceptions.BaseException`: `__delattr__`, `__getattribute__`, `__getitem__`, `__getslice__`, `__reduce__`, `__repr__`, `__setattr__`, `__setstate__`, `__str__`

## Properties

Inherited from `exceptions.BaseException`: `args`, `message`

## Method Details

### __init__

(Constructor) __init__(self, requested_capacity)
x.__init__(...) initializes x; see x.__class__.__doc__ for signature

Overrides:
  exceptions.Exception.__init__